UserNotice (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class UserNotice

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.UserNotice

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class UserNotice
      extends ASN1Object

  `UserNotice` class, used in `CertificatePolicies` X509 extensions (in policy qualifiers).

       UserNotice ::= SEQUENCE {
            noticeRef        NoticeReference OPTIONAL,
            explicitText     DisplayText OPTIONAL}

  See Also:
    `PolicyQualifierId`, `PolicyInformation`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserNotice(NoticeReference noticeRef, DisplayText explicitText)` Creates a new `UserNotice` instance.
    `UserNotice(NoticeReference noticeRef, java.lang.String str)` Creates a new `UserNotice` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayText` | `getExplicitText()`
    `static UserNotice` | `getInstance(java.lang.Object obj)`
    `NoticeReference` | `getNoticeRef()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserNotice

          public UserNotice(NoticeReference noticeRef,
                    DisplayText explicitText)

      Creates a new `UserNotice` instance.
      Parameters:
        `noticeRef` - a `NoticeReference` value
        `explicitText` - a `DisplayText` value

    - #### UserNotice

          public UserNotice(NoticeReference noticeRef,
                    java.lang.String str)

      Creates a new `UserNotice` instance.
      Parameters:
        `noticeRef` - a `NoticeReference` value
        `str` - the explicitText field as a String.

  - ### Method Detail

    - #### getInstance

          public static UserNotice getInstance(java.lang.Object obj)

    - #### getNoticeRef

          public NoticeReference getNoticeRef()

    - #### getExplicitText

          public DisplayText getExplicitText()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.